Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Get Permission

GET
/iam/v1/permissions/{id}
curl --request GET \
--url https://example.com/iam/v1/permissions/example

Returns a permission by its natural key (e.g. “compute.vm.create”)

id
required
string

The natural key of the permission to retrieve (e.g. “compute.vm.create”)

OK

Media type application/json

Permission resource — a granular action that can be assigned to roles

object
name

The natural key of the permission (..)

string
service

The service this permission belongs to (e.g. “compute”)

stringOutput only
resource

The resource this permission applies to (e.g. “vm”)

stringOutput only
action

The action this permission grants (e.g. “create”)

stringOutput only
description

Human-readable explanation of the permission

stringOutput only
Example generated
{
"name": "example"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}